For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
LearnGraph LoginRequest a Demo
HomeAPIBulk DataSayari LibraryChange Log
  • Key Concepts
    • Introduction
    • Endpoint Overview
    • Authentication
    • Requests
    • Pagination
    • Response Status Codes
    • Data Types
    • Rate Limits
  • API Clients
    • Overview
    • Open API
    • Postman
    • Go
    • Python
    • Node
  • API Reference
      • GETResolution
      • POSTResolution POST
      • POSTResolution Persisted
      • POSTResolution Upload
  • Guides
    • Getting Started
    • Understanding Project Entity
    • Risk Factors
    • Entity Search
    • Advanced Entity Search
    • Resolution
    • Trade Search - Shipments
    • Trade Search - Suppliers & Buyers
    • v0 Migration
  • Implementation Patterns
    • Project Entity Supply Chain
  • Use Cases
    • Entity Screening & Verification
    • Investigations
LogoLogo
LearnGraph LoginRequest a Demo
API ReferenceResolution

Resolution

GA
GET
/v1/resolution
GET
/v1/resolution
$curl -G https://api.sayari.com/v1/resolution \
> -H "Authorization: Bearer <token>" \
> --data-urlencode "name=Thomas Bangalter" \
> --data-urlencode "address=8 AVENUE RACHEL" \
> -d country=FRA
1{
2 "fields": {
3 "name": [
4 "Thomas Bangalter"
5 ],
6 "country": [
7 "FRA"
8 ],
9 "address": [
10 "8 AVENUE RACHEL"
11 ]
12 },
13 "data": [
14 {
15 "profile": "corporate",
16 "score": 453.80554,
17 "entity_id": "1nOeH5G2EhmRVtmeVqO2Lw",
18 "label": "Mr Thomas Bangalter",
19 "type": "person",
20 "identifiers": [
21 {
22 "value": "053673450003",
23 "type": "uk_person_number",
24 "label": "Uk Person Number"
25 },
26 {
27 "value": "053673450002",
28 "type": "uk_person_number",
29 "label": "Uk Person Number"
30 }
31 ],
32 "addresses": [
33 "5TH FLOOR 104 OXFORD STREET, W1D 1LP, LONDON, UNITED KINGDOM",
34 "Oxford Street, London, W1D 1LP",
35 "8 AVENUE RACHEL, 75018, FRANCE",
36 "4th Floor, 205 Wardour Street, London, W1F 8ZJ",
37 "MSE BUSINESS MANAGEMENT LLP 4TH FLOOR, 205 WARDOUR STREET, W1F 8ZJ, UNITED KINGDOM"
38 ],
39 "countries": [
40 "FRA",
41 "GBR"
42 ],
43 "sources": [
44 "ecdfb3f2ecc8c3797e77d5795a8066ef",
45 "4ea8bac1bed868e1510ffd21842e9551"
46 ],
47 "typed_matched_queries": [
48 "address|sub|phraseStripped|0",
49 "name|100match|0",
50 "address|subclause|0",
51 "address|numericFirst|0",
52 "address|numericFull|0",
53 "address|V2|Strict|0",
54 "name|StrictV2|0",
55 "address|V3|0",
56 "name|100phrase|0",
57 "country|0",
58 "address|sub|cleanedAddress|0",
59 "address|sub|phraseFirstHalf|0"
60 ],
61 "matched_queries": [
62 "address",
63 "name",
64 "identifier",
65 "country"
66 ],
67 "highlight": {
68 "name": [
69 "Mr <em>Thomas</em> <em>Bangalter</em>"
70 ],
71 "address": [
72 "<em>8</em> <em>AVENUE</em> <em>RACHEL</em>, 75018, FRANCE"
73 ],
74 "country": [
75 "<em>FRA</em>"
76 ]
77 },
78 "explanation": {
79 "name": [
80 {
81 "matched": "Mr <em>Thomas</em> <em>Bangalter</em>",
82 "uploaded": "Thomas Bangalter",
83 "high_quality_match_name": true,
84 "scores": {
85 "tf": 0.35648895767689204,
86 "lv": 0.9142857142857143,
87 "fz": 0.8421052631578947,
88 "l1": 1,
89 "l2": 1
90 },
91 "n_common_term_matches": 1,
92 "n_uncommon_term_matches": 1
93 }
94 ],
95 "address": [
96 {
97 "matched": "<em>8</em> <em>AVENUE</em> <em>RACHEL</em>, 75018, FRANCE",
98 "uploaded": "8 AVENUE RACHEL",
99 "scores": {
100 "9p": 0.47058823529411764
101 },
102 "match_quality": "medium"
103 }
104 ],
105 "country": [
106 {
107 "matched": "<em>FRA</em>",
108 "uploaded": "FRA"
109 }
110 ]
111 },
112 "match_strength": {
113 "value": "strong"
114 }
115 }
116 ]
117}

The resolution endpoints allow users to search for matching entities against a provided list of attributes. The endpoint is similar to the search endpoint, except it’s tuned to only return the best match so the client doesn’t need to do as much or any post-processing work to filter down results.

Was this page helpful?
Previous

Resolution POST

Next
Built with

Authentication

AuthorizationBearer

OAuth authentication of the form <token>.

Query parameters

limitintegerOptional
A limit on the number of objects to be returned with a range between 1 and 10 inclusive. Defaults to 10.
offsetintegerOptional
Number of results to skip before returning response. Defaults to 0.
namestringOptional
Entity name
addressstringOptional

Entity address. For optimal matching results, it’s recommended to concatenate the full address string (street, city, state, postal code).

citystringOptional
Entity city that contains the provided city name.
statestringOptional
Entity state that contains the provided state name.
countryenumOptional

Entity country - must be ISO (3166) Trigram i.e., USA. See complete list here

identifierenumOptional

Entity identifier. Can be from either the Identifier Type or Weak Identifier Type enums.

date_of_birthstringOptional
Entity date of birth
contactstringOptional
Entity contact
typeenumOptional

Entity type. If multiple values are passed for any field, the endpoint will match entities with ANY of the values.

profileenumOptional

Specifies the search algorithm to use. corporate (default) is optimized for accurate entity attribute matching, ideal for business verification. suppliers is tailored for matching entities with trade data, suitable for supply chain use cases. search mimics /search/entity behavior, best for name-only matches.

Allowed values:
name_min_percentageintegerOptional
Adding this param enables an alternative matching logic. It will set a minimum percentage of tokens needed to match with user input to be considered a "hit". Accepts integers from 0 to 100 inclusive.
name_min_tokensintegerOptional

Adding this param enables an alternative matching logic. It sets the minimum number of matching tokens the resolved hits need to have in common with the user input to be considered a “hit”. Accepts non-negative integers.

minimum_score_thresholdintegerOptional

Specifies the minimum score required to pass, which controls the strictness of the matching threshold. The default value is 77, and tuned for general use-case accuracy. Increase the value for stricter matching, reduce to loosen.

search_fallbackbooleanOptional

Enables a name search fallback when either the corporate or supplier profiles fails to find a match. When invoked, the fallback will make a call similar to /search/entity on name only. By default set to false.

cutoff_thresholdintegerOptional
Specifies the window of similar results returned in the match group. Increase for fewer multiple matches, decrease to open the aperture and allow for more matches. Default is .8
candidate_pool_sizeintegerOptional
Specifies the maximum number of entity candidates considered during search. Default is 50. Higher values increase match pool size but also increase latency.
skip_post_processbooleanOptional

Bypasses the post-processing setps and re-ranking. Useful for debugging. By default set to false, set to true to enable.

enable_llm_cleanbooleanOptional

Whether to enable LLM-based data cleaning to remove noise and standardize entity attributes. Defaults to true if not supplied. Set to false to disable LLM cleaning.

Response

This endpoint returns an object.
fieldsobject
datalist of objects

Errors

400
Bad Request
401
Unauthorized
405
Method Not Allowed
406
Not Acceptable
429
Rate Limit Exceeded
500
Internal Server Error